//**************************************************************************
//* Header file "ILI9325.h" for C-code source file "ILI9325.c" with 
//* function calls for 2.4 inch TFT with 320x240 pixel 
//*
//* Created: 17.09.2014 16:56:55
//* Last modification: 11.12.2014
//*
//* Author: Dirk Uffmann (uffmann@arcor.de)
//*
//* This program should run on an Arduino Mega 2560 R3 board with an Lseeduino TFT
//* shield V1.3 and 2.4 inch TFT V2.1 with 320x240 pixel.
//* Intention is to test an OV7670 Camera module by Alientek V2.2 with FIFO AL422B.
//* For debugging purpose a text LCD with I2C bus adapter is connected via TWI.
//*
//* The hardware and software is documented in an article provided in the internet
//* magazine ft:pedia 04/2014 by www.ftcommunity.de in german language
//*
//* Title of the article: "Einfache Ziffernerkennung mit einer CMOS-Kamera am AVR-
//* Controller am Beispiel eines ft-Kreditkartenleser-Modells"
//*
//* This software is provided as is without any warranty, guarantee or liability.
//* The author takes no responsibility for consequences or damage caused by the usage
//* of this software.
//*
//**************************************************************************

#pragma once
#include "i2clcd.h"

extern void TFT_write_index(uint8_t index);
extern void TFT_write_Reg(uint8_t index, uint8_t reg_val_high, uint8_t reg_val_low);
extern void TFT_init(void);