//***********************************************************************************
//* Header file "image_processing.h" for C-function calls implemented
//* in the file "image_processing.c"
//*
//* Created: 17.09.2014 16:56:55
//* Last modification: 11.12.2014
//*
//* Author: Dirk Uffmann (uffmann@arcor.de)
//*
//* This program should run on an Arduino Mega 2560 R3 board with an Lseeduino TFT
//* shield V1.3 and 2.4 inch TFT V2.1 with 320x240 pixel.
//* Intention is to test an OV7670 Camera module by Alientek V2.2 with FIFO AL422B.
//* For debugging purpose a text LCD with I2C bus adapter is connected via TWI.
//*
//* The hardware and software is documented in an article provided in the internet
//* magazine ft:pedia 04/2014 by www.ftcommunity.de in german language
//*
//* Title of the article: "Einfache Ziffernerkennung mit einer CMOS-Kamera am AVR-
//* Controller am Beispiel eines ft-Kreditkartenleser-Modells"
//*
//* This software is provided as is without any warranty, guarantee or liability.
//* The author takes no responsibility for consequences or damage caused by the usage
//* of this software.
//*
//************************************************************************************
#pragma once

#include <avr/io.h>
#include <stdlib.h>
#include <stdio.h>
#include <avr/pgmspace.h>
#include <inttypes.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <math.h>
#include "i2c2master.h" //second i2c bus master for 3,3 V devices (OV7670)
#include "i2clcd.h" // text LCD
#include "OV7670.h"
#include "ILI9325D.h"

extern unsigned int identify_figures (const uint8_t threshold_absolute);
